Subject: bug#59388: Open emacsclient file at last line

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Nov 2022 09:22:27 +0200

> Date: Sat, 19 Nov 2022 15:06:14 -0800
> Cc: [email-masked], [email-masked], [email-masked]
> From: Jim Porter <[email-masked]>
> 
> On 11/19/2022 12:33 PM, Eli Zaretskii wrote:
> > Maybe we don't need to go as far as that discussion led us?  Just adding a
> > switch --funcall, to mimic what Emacs has, could be enough?  Then we'd be
> > able to say
> > 
> >    emacsclient -f eob FILE
> > 
> > (assuming we also add a function 'eob' to Emacs).
> 
> With the caveat that -f is already used for --server-file, I think this 
> would be fine. --funcall is a lot simpler to implement than --apply, at 
> least from emacsclient.

Then I think I'm okay with adding --funcall to emacsclient, as a solution
for this feature request.  With the proviso that the named function will be
called _after_ visiting the named FILE, right?